<mat-card>
    <mat-card-header>
        <mat-card-title class="title">اطلاعات تجهیزات
            <button mat-mini-fab color="primary" [routerLink]="['/equipment']">
      <mat-icon>undo</mat-icon>
    </button>

        </mat-card-title>
    </mat-card-header>
    <mat-card-content>

        <mat-grid-list cols="4" rowHeight="600px">
            <mat-grid-tile [colspan]="3" [rowspan]="1">
                <form #f="ngForm" (ngSubmit)="submit()">
                    <div class="form-group">
                        <mat-form-field>
                            <input type="text" matInput id="equip-name" placeholder="نام تجهیزات ..." [(ngModel)]="equipment.equip_Name" name="equip_Name" required #equip_Name="ngModel" />
                        </mat-form-field>

                        <mat-form-field>
                            <input type="text" matInput id="equip-id" placeholder="کد تجهیزات ..." [(ngModel)]="equipment.equip_ID" name="equip_ID" #equip_ID="ngModel" readonly/>
                        </mat-form-field>

                        <mat-form-field>
                            <input type="text" matInput id="parent-equip-id" placeholder="کد والد ..." [(ngModel)]="equipment.parent_Equip_ID" name="parent_Equip_ID" #parent_Equip_ID="ngModel">
                        </mat-form-field>

                    </div>
                </form>
                <div class="button-row">
                    <button mat-raised-button color="primary" [disabled]="!f.valid" (click)="submit()" *ngIf="!equipment.equip_ID">
              <mat-icon>add</mat-icon> افزودن
              </button>
                    <button mat-raised-button color="warn" [disabled]="!f.valid" (click)="submit()" *ngIf="equipment.equip_ID">
              <mat-icon>save</mat-icon> ویرایش
              </button>
                    <button mat-raised-button color="accent" (click)="delete()" *ngIf="equipment.equip_ID">
              <mat-icon>remove</mat-icon> حذف
              </button>
                </div>


            </mat-grid-tile>
            <mat-grid-tile [colspan]="1" [rowspan]="2">
                <!-- Tree Configuration ------------------------------------------------------------------------->
                <!-- Tree Configuration ------------------------------------------------------------------------->
                <!-- Simple sample root -->
                <!-- -------------------------------------------------------------- -->
                <!-- -------------------------------------------------------------- -->
                <!-- -------------------------------------------------------------- -->
                <!-- <div class="k-rtl">
    <kendo-treeview [nodes]="data" [children]="children" [hasChildren]="hasChildren" textField="text" [kendoTreeViewCheckable]="checkableSettings" [(checkedKeys)]="checkedKeys">
    </kendo-treeview>
</div> -->
                <!-- -------------------------------------------------------------- -->
                <!-- -------------------------------------------------------------- -->
                <!-- -------------------------------------------------------------- -->


                <!-- flat sample root -->
                <!-- -------------------------------------------------------------- -->
                <!-- -------------------------------------------------------------- -->
                <!-- -------------------------------------------------------------- -->
                <!-- <div class="k-rtl">
    <kendo-treeview [nodes]="treeNodes" textField="desc" kendoTreeViewExpandable kendoTreeViewFlatDataBinding idField="id" parentIdField="parentId" [kendoTreeViewCheckable]="checkableSettings"  [checkBy]="id" [(checkedKeys)]="checkedKeys"  kendoTreeViewSelectable [selectBy]="id" [(selectedKeys)]="selectedKeys" [expandBy]="id" [(expandedKeys)]="expandedKeys" (collapse)="handleCollapse($event)" (expand)="handleExpand($event)">
    </kendo-treeview>
</div> -->
                <!-- <div style="margin: 10px 0">
    <i>Press SPACE to check/uncheck the active node</i>
    <div class="example-config">
        Checked keys: {{checkedKeys.join(",")}}
    </div>
</div> -->
                <!-- -------------------------------------------------------------- -->
                <!-- -------------------------------------------------------------- -->
                <!-- -------------------------------------------------------------- -->






                <!-- Key for programebility expand -->
                <!-- -------------------------------------------------------------- -->
                <!-- -------------------------------------------------------------- -->
                <!-- -------------------------------------------------------------- -->
                <!-- <button (click)="expand()">Expand Decor</button> -->
                <!-- -------------------------------------------------------------- -->
                <!-- -------------------------------------------------------------- -->
                <!-- -------------------------------------------------------------- -->

                <!-- Display selected,expanded and checked keys -->
                <!-- -------------------------------------------------------------- -->
                <!-- -------------------------------------------------------------- -->
                <!-- -------------------------------------------------------------- -->
                <!-- <div class="example-config">Selected keys: {{ selectedKeys.join(',') }}</div>
<div class="example-config">Checked keys: {{ checkedKeys.join(',') }}</div>
<div class="example-config">Expanded keys: {{expandedKeys.join(",")}}</div>
<div class="example-config">Keys: {{keys.join(",")}}</div> -->
                <!-- -------------------------------------------------------------- -->
                <!-- -------------------------------------------------------------- -->
                <!-- -------------------------------------------------------------- -->
                <!-- <cdk-virtual-scroll-viewport [itemSize]="50"> -->
                <div class="k-rtl">
                    <kendo-treeview [nodes]="equipments" textField="equip_Name" kendoTreeViewExpandable kendoTreeViewFlatDataBinding idField="equip_ID" parentIdField="parent_Equip_ID" [kendoTreeViewCheckable]="checkableSettings" kendoTreeViewSelectable [selectBy]="selectkey"
                        [(selectedKeys)]="selectedKeys" [expandBy]="expandkey" [(expandedKeys)]="expandedKeys" (collapse)="handleCollapse($event)" (expand)="handleExpand($event)" (selectionChange)="handleSelect($event)">
                    </kendo-treeview>
                    <!-- kendoTreeViewCheckable [checkBy]="checkkey" [(checkedKeys)]="checkedKeys" -->
                </div>
                <!-- Tree Configuration ------------------------------------------------------------------------->
                <!-- Tree Configuration ------------------------------------------------------------------------->
                <!-- </cdk-virtual-scroll-viewport> -->


            </mat-grid-tile>
            <mat-grid-tile [colspan]="1" [rowspan]="1">
            </mat-grid-tile>
            <mat-grid-tile [colspan]="2" [rowspan]="1">
            </mat-grid-tile>
        </mat-grid-list>

    </mat-card-content>
</mat-card>